Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.cheatsheets
Class OpenCheatSheetAction

    java.lang.Object
      org.eclipse.jface.action.Action
          org.eclipse.ui.cheatsheets.OpenCheatSheetAction

All Implemented Interfaces:
  IAction

public final class OpenCheatSheetAction
extends Action

Action for opening a cheat sheet. The cheat sheet can be specified either by a cheat sheet id or by a URL of a cheat sheet content file.

This class is not intended to be subclassed by clients.

Since:
  3.0

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`OpenCheatSheetAction(String id)` Creates an action that opens the cheat sheet with the given id.
`OpenCheatSheetAction(String id, String name, URL url)` Creates an action that opens the cheat sheet with the given cheat sheet content file.

Method Summary
`void` | `run()` The default implementation of this `IAction` method does nothing.

Methods inherited from class org.eclipse.jface.action.Action
`addPropertyChangeListener, convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, firePropertyChange, firePropertyChange, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, notifyResult, removeAcceleratorText, removeMnemonics, removePropertyChangeListener, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OpenCheatSheetAction

    public OpenCheatSheetAction(String id)

  Creates an action that opens the cheat sheet with the given id. The cheat sheet content file is located via the `org.eclipse.ui.cheatsheet.cheatSheetContent` extension point.

Parameters:
  `id` - the cheat sheet id
Throws:
  `IllegalArgumentException` - if `id` is `null`

### OpenCheatSheetAction

    public OpenCheatSheetAction(String id,
                                String name,
                                URL url)

  Creates an action that opens the cheat sheet with the given cheat sheet content file.

Parameters:
  `id` - the id to give this cheat sheet
  `name` - the name to give this cheat sheet
  `url` - URL of the cheat sheet content file
Throws:
  `IllegalArgumentException` - if the parameters are `null`

Method Detail

### run

    public void run()

  Description copied from class: `Action`
  The default implementation of this `IAction` method does nothing. Subclasses should override this method if they do not need information from the triggering event, or override `runWithEvent(Event)` if they do.

  Specified by:
    `run` in interface `IAction`
  Overrides:
    `run` in class `Action`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.